import {NgModule} from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';
import {PERSISTENCE} from '@angular/fire/compat/auth';
import {AngularFireModule} from '@angular/fire/compat';
import {AngularFireDatabaseModule} from '@angular/fire/compat/database';

import {AppRoutingModule} from './app-routing.module';
import {AppComponent} from './app.component';
import {environment} from '../environments/environment';

@NgModule({
  declarations: [
    AppComponent,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    AngularFireModule.initializeApp(environment.firebase),
    AngularFireDatabaseModule,
  ],
  providers: [
    {provide: PERSISTENCE, useValue: 'local'},
  ],
  bootstrap: [AppComponent]
})
export class AppModule {
}
