import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';

import {AdministrationComponent} from './administration.component';
import {BodiesComponent} from './bodies/bodies.component';
import {FactionsComponent} from './factions/factions.component';
import {FactionsInBodiesComponent} from './factions-in-bodies/factions-in-bodies.component';

const routes: Routes = [
  {
    path: '',
    component: AdministrationComponent,
    children: [
      {path: 'bodies', component: BodiesComponent},
      {path: 'factions', component: FactionsComponent},
      {path: 'factions-in-bodies', component: FactionsInBodiesComponent},
    ],
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AdministrationRoutingModule {
}
