import {Component, OnInit} from '@angular/core';
import {AngularFireDatabase} from '@angular/fire/compat/database';
import {ActivatedRoute, Router} from '@angular/router';
import {SessionService} from '../shared/session.service';
import {SessionInBodyService} from '../../shared/session-in-body.service';
import {first} from 'rxjs/operators';

@Component({
  selector: 'app-edit',
  templateUrl: './edit.component.html',
  styleUrls: ['./edit.component.scss']
})
export class EditComponent implements OnInit {

  constructor(private database: AngularFireDatabase,
              private router: Router,
              private activeRoute: ActivatedRoute,
              public sessionService: SessionService,
              public sessionInBodyService: SessionInBodyService) {
  }

  ngOnInit(): void {
    this.sessionInBodyService.bodies.pipe(first()).subscribe(bodies => {
      if (bodies.length > 0) {
        this.sessionInBodyService.changeBody(bodies[0].key, bodies[0].payload.val()?.name, 'edit');
      }
    });
  }

  public editSession(key: string | null): void {
    this.router.navigate([key], {relativeTo: this.activeRoute});
  }

}
