import {Component, OnInit} from '@angular/core';
import {SessionInBodyService} from '../shared/session-in-body.service';
import {first} from 'rxjs/operators';

@Component({
  selector: 'app-statistics',
  templateUrl: './statistics.component.html',
  styleUrls: ['./statistics.component.scss']
})
export class StatisticsComponent implements OnInit {

  constructor(public sessionInBodyService: SessionInBodyService) { }

  ngOnInit(): void {
    this.sessionInBodyService.bodies.pipe(first()).subscribe(bodies => {
      if (bodies.length > 0) {
        this.sessionInBodyService.changeBody(bodies[0].key, bodies[0].payload.val()?.name, 'statistics');
      }
    });
  }

}
